Subject: Re: bug#7786: 23.2; Encoding of PostScript files

From: Peter Dyballa <[email-masked]>
Date: Fri, 15 Oct 2021 17:59:48 +0200

> Peter, do you have any (preferably smallish -- I mean, not
> multi-gigabyte) PostScript files that use this encoding?  Two or three
> would be cool. 

I have no real test files at hand. What I still have is a set of files with ISO 8859-X encodings. I once used a2ps to create PS files from them. These sorts are in the tar file. a2ps changed the real characters into their octal representations for portability. I took one such PS file, from ISO Latin-1 encoding, and added to these octal codes the real characters, taken off the encoding TXT file. PS-Test-1.ps displays in X11 with Ghostscript 9.54.0 OK. I can see "character MINUS character" at the left, followed by their description/explanation.

You could use any text file and convert it into PostScript. It should not matter whether you use a2ps or enscript or something else. The produced PS output file should be in ISOLatin1Encoding, presumingly using octal representations for 8 bit characters. You might take one such file and convert it to PDF. You could take the same file, change it, and save it under a new name in ISOLatin1Encoding. Convert it to PDF. Change the new file in ISOLatin1Encoding, undo the previous edit change, and save it as a newer file in ISO Latin-1 (or -15) text encoding. Convert this PS file too to PDF. Are there differences visible in PDF output?

Could be this is a way to test the ISOLatin1Encoding encoding.

--
Mit friedvollen Grüßen

  Pete

To most people solutions mean finding the answers. But to chemists solutions
are things that are still all mixed up.